unit hlavniprg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,planeta, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image: TImage;
    Timer1: TTimer;
    BtPlayPause: TButton;
    CbVolbaudaju: TComboBox;
    LiBudaje: TListBox;
    Label1: TLabel;
    Lbpocetdni: TLabel;
    lbdny: TLabel;
    eddny: TEdit;
    Label2: TLabel;
    Btzavri: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure CbVolbaudajuChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtPlayPauseClick(Sender: TObject);
    procedure BtzavriClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  merkur,venuse,zeme,mars,slunce:TPlan; //planety typu Tplaneta
  stred:integer;
  uhelmerkur,uhelvenuse,uhelzeme,uhelmars,k:real; //promnn uit pro vpoet hlu otoen planety
  x:real;  //promnn na vpoet dn bhem obhu


implementation

{$R *.dfm}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Image.Canvas.Pen.Color:=$000000;
  Image.Canvas.Brush.Color:=$000000;
  Image.Canvas.Rectangle(0,0,2*stred,2*stred);

  Image.Canvas.Brush.Color:=$00ffff;
  Image.Canvas.Ellipse(stred-20,stred-20,stred+20,stred+20);  // a pocu vytvoen vzhledu vesmru(ern tverec)
                                                              // a umstn slunce na sted

  
  uhelmerkur:=uhelmerkur+(Pi/58.65*k);
  uhelvenuse:=uhelvenuse+(Pi/224.7*k);
  uhelzeme:=uhelzeme+(Pi/365.25*k);
  uhelmars:=uhelmars+(Pi/686.96*k);    //vypotn hlu otoen pro jednotliv planety


  merkur.kresli(uhelmerkur,$766b0d);  //vyuit procedury kresi, pro vytvoren obehu planet
  venuse.kresli(uhelvenuse,$0516fa);
  zeme.kresli(uhelzeme,$f5260b);
  mars.kresli(uhelmars,$7a7b80);
  x:=x+18.4;                     //potn ubhlch dn
  Eddny.text:=FloatToStrF(x/100,ffNumber,10,2)+' dn'; //pidn potu dn do editu

end;

procedure TForm1.CbVolbaudajuChange(Sender: TObject);    //pomoc case piazeny listboxu hodnoty vlastnost
begin                                                    // na zklad zskn hodnot z objektu planeta
LiBudaje.Items.Clear;
case CbVolbaudaju.ItemIndex of
0:begin
    LiBudaje.Items.Add('Hmotnost       : '+ slunce.Mplanety);
    LiBudaje.Items.Add('Polomr        : '+FloatToStr(slunce.rovr)+' km');
    LiBudaje.Items.Add('Vzdlenost od S: '+'cca '+slunce.vzdodsl);
    LiBudaje.Items.Add('Doba obhu     : '+ floattostr(slunce.doba)+ ' dn');

  end;
1:begin
    LiBudaje.Items.Add('Hmotnost       : '+ merkur.Mplanety);
    LiBudaje.Items.Add('Polomr        : '+FloatToStr(merkur.rovr)+' km');
    LiBudaje.Items.Add('Vzdlenost od S: '+'cca '+merkur.vzdodsl);
    LiBudaje.Items.Add('Doba obhu     : '+floattostr(merkur.doba)+ ' dn');

  end;
2:begin
    LiBudaje.Items.Add('Hmotnost       : '+venuse.Mplanety);
    LiBudaje.Items.Add('Polomr        : '+FloatToStr(venuse.rovr)+' km');
    LiBudaje.Items.Add('Vzdlenost od S: '+'cca '+venuse.vzdodsl);
    LiBudaje.Items.Add('Doba obhu     : '+floattostr(venuse.doba)+ ' dn');

  end;
3:begin
    LiBudaje.Items.Add('Hmotnost       : '+zeme.Mplanety);
    LiBudaje.Items.Add('Polomr        : '+FloatToStr(zeme.rovr)+' km');
    LiBudaje.Items.Add('Vzdlenost od S: '+'cca '+zeme.vzdodsl);
    LiBudaje.Items.Add('Doba obhu     : '+floattostr(zeme.doba)+ ' dn');

  end;
4:begin
    LiBudaje.Items.Add('Hmotnost       : '+mars.Mplanety);
    LiBudaje.Items.Add('Polomr        : '+FloatToStr(mars.rovr)+' km');
    LiBudaje.Items.Add('Vzdlenost od S: '+'cca '+mars.vzdodsl);
    LiBudaje.Items.Add('Doba obhu     : '+floattostr(mars.doba)+ ' dn');
  end;
end;



end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    stred:=300; //nastaven hodnoty stedu, kterou pak vyuvme k nasteven velikosti pltn a sted oten
    k:=0.375;
    Timer1.Enabled:=false;
    x:=0;

    slunce:=TPlan.create(stred,stred,0,0,20,'1,9891  10^30 kg',Image,696000,'0km');  //naten objekt typu Tplane
    merkur:=TPlan.create(stred,stred,58.65,77,5,'3,30210^23 kg',Image,2439.7,'57,510^6km');
    venuse:=TPlan.create(stred,stred,224.7,145,12,'4,868510^24 kg',Image,6051.85,	'149,510^6km');
    zeme:=TPlan.create(stred,stred,365.25,200,12,'5,973610^24 kg',Image,6378.135,'149,510^6km');
    mars:=TPlan.create(stred,stred,686.96,250.25,14,'6,418510^23 kg',Image,3402.45,'227,510^6km');
end;

procedure TForm1.BtPlayPauseClick(Sender: TObject);
begin

if Timer1.Enabled=false then      // oeten zapnn a vypnn timeru + zmna captionu tlatka
  begin
    Timer1.Enabled:=true;
    BtPlayPause.Caption:='Pause';
    end
    else
    begin
    Timer1.Enabled:=false;
    BtPlayPause.Caption:='Play';
    end;
end;



procedure TForm1.BtzavriClick(Sender: TObject);
begin
    Application.Terminate;  //ukonen cel aplikace
end;

end.
